2004-06-22  Ken Raeburn  <raeburn@mit.edu>

	* adm_proto.h, kdb.h, kdb_dbc.h, kdb_kt.h: Don't test macintosh.

2004-06-16  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (all-mac, clean-mac): Targets deleted.

2004-03-08  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (MY_SUBDIRS): Deleted.

2003-08-26  Ken Raeburn  <raeburn@mit.edu>

	* k5-config.h: Unused file deleted.

2003-05-25  Ezra Peisach  <epeisach@mit.edu>

	* kdb.h: Add prototype for krb5_db_iterate_ext.

2003-03-05  Tom Yu  <tlyu@mit.edu>

	* kdb_kt.h: Add krb5_ktkdb_set_context.  Update prototype of
	krb5_ktdb_resolve.  Add krb5_kt_kdb_ops.

2003-03-05  Sam Hartman  <hartmans@mit.edu>

	* Remove kdb_dbm.h

2002-11-05  Tom Yu  <tlyu@mit.edu>

	* kdb.h (KRB5_KDC_MKEY_1, KRB5_KDC_MKEY_2): Remove trailing colon,
	as new implementation of krb5_read_password() appends it.

2002-09-18  Ken Raeburn  <raeburn@mit.edu>

	* adm.h (struct __krb5_realm_params): New field
	realm_kdc_tcp_ports.

2002-08-29  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Revert $(S)=>/ change, for Windows support.

2002-08-23  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Change $(S)=>/ and $(U)=>.. globally.

2002-06-12  Ken Raeburn  <raeburn@mit.edu>

	* kwinsock.h, macsock.h: Deleted.

2002-05-29  Ken Raeburn  <raeburn@mit.edu>

	* MacTCP.h, AddressXlation.h: Deleted.

2001-10-09  Ken Raeburn  <raeburn@mit.edu>

	* macsock.h (PROTOTYPE): Don't define.

2001-10-05  Ken Raeburn  <raeburn@mit.edu>

	* adm_defs.h, kdb.h, kdb_dbc.h, kdb_dbm.h, kdb_kt.h, kwinsock.h:
	Don't explicitly declare pointers or functions FAR any more.  Drop
	_MSDOS support.

2001-10-03  Ken Raeburn  <raeburn@mit.edu>

	* adm_proto.h: Don't use KRB5_DLLIMP.

2001-09-25  Ken Raeburn  <raeburn@mit.edu>

	* adm.h (struct __krb5_realm_params): Added fields
	realm_reject_bad_transit, realm_reject_bad_transit_valid; deleted
	field realm_filler.

2001-07-25  Ezra Peisach  <epeisach@mit.edu>

	* kdb.h: For structs krb5_tl_data (tl_data_length), krb5_key_data
	(key-data_length), krb5_db_entry (len, e_length) change the
	storage types from krb5_int16 to krb5_ui_2. This does not require
	a database version change as the field sizes are the same. Remove
	the code ifdefed under KRB5_OLD_AND_KRUFTY.

2001-04-27  Ezra Peisach  <epeisach@mit.edu>

	* .cvsignore: Add stamp-h.in

2001-02-26  Ezra Peisach  <epeisach@mit.edu>

	* adm_proto.h (krb5_adm_connect): Declare prompt string const char *. 

2001-01-16  Ken Raeburn  <raeburn@mit.edu>

	* adm_proto.h, kdb.h, kdb_dbc.h, kdb_dbm.h, kdb_kt.h: Make all
	prototypes unconditional.

2000-05-30  Wilfredo Sanchez  <tritan@mit.edu>

	* Makefile.in, osconf.h: Use bindir and sbindir from configure
	rather than building them up from EXEC_PREFIX.

2000-5-18	Alexandra Ellwood <lxs@mit.edu>

	* macsock.h: local_addr_fallback_kludge defined to 0
 	again... fixed gethostname

2000-5-9	Alexandra Ellwood <lxs@mit.edu>

	* macsock.h: local_addr_fallback_kludge now defined to magic gethostaddr function
	in the Sockets Library, which does exactly what we want if the search domain is not
	specified.

1998-11-22  Miro Jurisic  <meeroh@.mit.edu>

	* macsock.h: MacOS: only #define MACHOSTNAMELEN when not
	already defined

Wed May 19 11:35:18 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Create build rules for windows instead of blindly
		copying files.  Wrap Unix build rules with !if 0/!endif
		that get used only in windows build.  People need to
		remember to keep this !if/!endif in the proper place when
		they modify this file.

Mon May 17 12:33:58 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Add NO_OUTPRE flag to prevent creation of output
		directory under win32.

Fri May  7 15:26:44 1999  Theodore Y. Ts'o  <tytso@mit.edu>

	* adm_proto.h: Fix the existing kludge to deal with the fact that
		krb5_realm_params is defined in two, count them two,
		header files.  There's real ugliness here that needs
		cleaning up eventually, but I don't have the time now to
		deal with it.

Fri Apr 16 17:07:47 1999  Theodore Y. Ts'o  <tytso@mit.edu>

	* Makefile.in (all-windows): Don't constantly recreate autoconf.h
		with #include "win-mac.h"

1999-04-09  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* kdb.h: Add new TL types provided by Frank Cusack's preauth patch
		(PR# [krb5-kdc/662])

Tue Nov 17 15:39:32 1998  Tom Yu  <tlyu@mit.edu>

	* kdb.h: Update dbe_crk and dbe_cpw to take a boolean to indicate
	whether old keys should be retained.

	* Makefile.in (autoconf.stamp): Fix up to deal with config.status
	not being in the current directory anymore.

1998-11-13  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Set the myfulldir and mydir variables (which are
		relative to buildtop and thisconfigdir, respectively.)
		Add a MY_SUBDIRS macro set to '.' to indicate that there
		are no subdirectories to be processed by the Makefile.

	* configure.in: Removed and tests moved to parent directory.

1998-10-26  Marc Horowitz  <marc@mit.edu>

	* kdb_dbc.h, kdb.h: update kdb api to be compatible with the new
	crypto api.

Wed Jul  8 04:30:22 1998  Geoffrey King  <gjking@mit.edu>

	* adm_proto.h: Added prototype for new function krb5_klog_reopen()

Thu Apr 16 23:50:08 1998  Tom Yu  <tlyu@mit.edu>

	* configure.in: Search for /var/tmp first when determining rcache
	directory. [krb5-libs/548]

Wed Feb 18 15:52:36 1998  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Remove trailing slash from thisconfigdir.  Fix up
	BUILDTOP for new conventions.

Mon Feb  2 17:02:29 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Define BUILDTOP and thisconfigdir in the Makefile

Tue Sep 30 17:19:16 1997  Tom Yu  <tlyu@mit.edu>

	* configure.in: Remove references to dbm and ndbm.  Replace
	HAS_STDLIB_H and NO_STDLIB_H with something more sane.  Replace
	AC_TIME_WITH_SYS_TIME with more a recent form.  Use AC_CHECK_TYPE
	to check for time_t instead of erroneously named POSIX_TYPES.

Thu Sep 25 21:50:44 1997  Tom Yu  <tlyu@mit.edu>

	* configure.in: Replace KRB5_USE_INET, HAS_UNISTD_H, HAS_SETVBUF.

Thu Sep 18 20:42:03 1997  Tom Yu  <tlyu@mit.edu>

	* configure.in: Replace USE_STRING_H, HAS_STRDUP, HAS_LABS

Mon Sep 15 15:01:49 1997  Ezra Peisach  <epeisach@mit.edu>

	* kdb_dbm.h: Add const to argument of krb5_dbm_db_get_principal.
	    Add prototype for krb5_dbm_db_delete_principal.

	* kdb.h: Prototypes for krb5_db_get_principal,
            krb5_db_delete_principal, krb5_dbe_update_mod_princ_data,
            krb5_encode_princ_dbkey modified to use const krb5_principals.

Fri Jul 25 15:18:25 1997  Tom Yu  <tlyu@mit.edu>

	* kdb_kt.h: Move support for "kdb" keytab here.

	* kdb.h: Add support for modified kdb API; remove extra arguments
	for db_set_mkey and db_get_mkey.  Remove all (hopefully) mentions
	of any particular backend database implementation.  Add flags
	argument for db_create, allowing caller to specify whether btree
	or hash methods are to be used in the backend.

Thu Nov 21 11:55:16 EST 1996    Richard Basch   <basch@lehman.com>

        * Makefile.in:
		all-windows needed :: not :
		clean up various generated files on all platforms, not just unix

Wed Oct 30 18:55:21 1996  Sam Hartman  <hartmans@mit.edu>

	* Makefile.in (LOCALSTATEDIR): Add localstatedir a and sysconfidr
 	to substitutions [37]
for osconf.h
Mon Aug 26 17:01:11 1996  Barry Jaspan  <bjaspan@mit.edu>

	* kdb.h: add KRB5_TL_KADM5_E_DATA

Fri Aug 23 16:20:54 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* kdb.h: Remove dbm_error and dbm_clearerr from the dispatch table
		(which eventually should be completely removed.)

Wed Jun 12 00:40:29 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* adm_proto.h: Change usage of INTERFACE to use KRB5_CALLCONV and
	 	KRB5_DLLIMP.

Mon Jun 10 17:31:29 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* winsock.h: Rename to kwinsock.h.  Recent versions of Microsoft
		compilers include winsock.h, and the one we have collides
		with NT errno definitions.  Using the one provided by the
		compiler is preferable.  If you are using an old version
		of MSVC that doesn't include winsock.h, then rename
		kwinsock.h to winsock.h

	* kdb_dbm.h: Don't include kdb_dbm.h for Win-32.

	* kdb.h: Don't include most of kdb.h for Win-32.

Mon May 20 17:57:15 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* configure.in: Remove support for ODBM.

Sun May 19 14:32:19 1996  Sam Hartman  <hartmans@tertius.mit.edu>

	* configure.in: Check for uid_t.

Sun May 12 00:46:05 1996  Marc Horowitz  <marc@mit.edu>

	* kdb.h: convert to use new krb5_dbe_* tl_data functions.

	* adm.h (struct __krb5_realm_params): add realm_acl_file
	
Tue Apr 30 17:15:57 1996  Ken Raeburn  <raeburn@cygnus.com>

	* configure.in: Invoke AC_C_CROSS before AC_TRY_RUN to pretty up
	output format.

	* Makefile.in (autoconf.h): Use timestamp file to prevent repeated
	rebuilding if file timestamp is out of date but contents wouldn't
	change.

Tue Apr 30 15:03:34 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* macsock.h: Added prototype for getpeername().

Thu Mar 28 17:57:04 1996  Theodore Y. Ts'o  <tytso@dcl>

	* AddressXlation.h: Updated to use latest versions from the Apple's
		MacTCP Universal Interface.  (For PowerPC port).

	* MacTCP.h: New header file from Apple's Universal Interface

	* GetMyIPAddr.h, MacTCPCommonTypes.h, TCPPB.h, UDPPB.h: Removed
		old MacTCP header files.

Wed Mar 13 17:43:35 1996  Ken Raeburn  <raeburn@cygnus.com>

	* configure.in: Use AC_HEADER_STDARG.

Wed Jan 24 14:23:07 1996  Theodore Y. Ts'o  <tytso@dcl>

	* adm.h: Added lines to adm.h which Chris had removed while
		working on the kadmin revisions.  This allows the existing
		code to compile.

Mon Jan 22 17:36:00 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* configure.in: Use KRB5_CHECK_PROTOS instead of inlining
		prototype checking.

Wed Dec 13 03:51:53 1995  Chris Provenzano (proven@mit.edu)

	* kdb.h : Remove mkvno for krb5_db_entry

Tue Dec 12 00:59:17 1995  Chris Provenzano (proven@mit.edu)

	* adm.h: Added principal flag keywords KRB5_ADM_KW_SETFLAGS and
		KRB5_ADM_KW_UNSETFLAGS because relative flag modification 
		is just a good idea.
	* kdb.h: typedef kdb5_dispatch_table so prototypes that need it
		compile even if KDB5_DISPATCH isn't defined.
	* kdb_dbc.h: The start of the database context, which should be
		removed from the krb5_context.

Sun Dec 10 11:02:35 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* adm_proto.h: Add prototype for krb5_input_flag_to_string.

Fri Dec  1 17:16:05 1995  Theodore Y. Ts'o  <tytso@dcl>

	* adm.h: Added temporary definition of KRB5_ADM_M_EXTRADATA so
		that we have a tree which compiles.

Tue Nov  7 16:41:14 1995  Theodore Y. Ts'o  <tytso@dcl>

	* kdb.h: Added prototype for krb5_dbe_search_enctype().  Changed
		prototype of krb5_dbe_find_enctype() so that ktype is of
		type krb5_int32.  (krb5_enctype is unsigned, so -1 doesn't
		work!) 

Fri Nov 03 04:37:56 1995   Chris Provenzano (proven@mit.edu)

        * adm.h : Constant changes for the new kadmin code.
	* kdb.h : Added attribute bit KRB5_KDB_NEW_PRINC. This will 
		allow kadmin administrators with add acls to modify a
		principal until this bit is cleared. 

Fri Oct  6 21:58:05 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Remove ##DOS!include of config/windows.in.
		config/windows.in is now included by wconfig.

Thu Oct  5 21:33:27 1995  Theodore Y. Ts'o  <tytso@dcl>

	* adm.h: Remove pport and sport from the krb5_realm_params file,
		and replace it with ports, which is a char * list of all
		of the ports which should be listed to for this realm.

Fri Sep 29 14:37:41 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in (clean-unix): Remove autoconf.h on make clean

Wed Sep 27 16:00:00 1995  John Rivlin <jrivlin@fusion.com>

	* adm_proto.h: Removed use of prototypes using krb5_db_entry
		on the Macintosh. 

Tue Sep 26 15:36:20 1995    <tytso@rsts-11.mit.edu>

	* kdb.h, kdb_dbm.h: Add #if !defined(_MSDOS) &&
		!defined(_MACINTOSH) to prevent these #includes from being
		used by Mac and PC machines.

Mon Sep 25 16:39:36 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Removed "foo:: foo-$(WHAT)" lines from the
		Makefile. 

Thu Sep 20 12:00:00 1995  James Mattly  <mattly@fusion.com>

	* macsock.h:  Changes to support TCP streams and change password.

Thu Sep  8 12:00:00 1995  James Mattly  <mattly@fusion.com>

	* k5-config.h:  defined MPW fake stat.h out for metrowerks compiler
	* macsock.h:  changed SOCKET definition for MACINTOSH to start support for
		TCP streams
	* TCPBP.h:  fixed up some prototype problems with out customized tcp sockets
		for macintosh

Thu Sep  7 15:53:28 1995  Theodore Y. Ts'o  <tytso@dcl>

	* adm.h (KRB5_ADM_SERVICE_NAME): Use official IANA assigned name
		for the port, which is kpasswd, not changepw.  Add new
		define, KRB5_ADM_SERVICE_INSTANCE, which defines the
		instance name used for the kadmin name.

Wed Sep 06 14:20:57 1995   Chris Provenzano (proven@mit.edu)

        * adm.h, adm_proto.h kdb.h : s/keytype/enctype/g, s/KEYTYPE/ENCTYPE/g

Tue Sep 05 22:10:34 1995   Chris Provenzano (proven@mit.edu)

        * adm_proto.h : Remove krb5_enctype references, and replace with
                krb5_keytype where appropriate.

Thu Aug 31 11:38:58 EDT 1995	Paul Park	(pjpark@mit.edu)
	* configure.in - Add checks for stddef.h and xom.h for use by GSSAPI-V2


Tue Aug 29 13:28:10 EDT 1995	Paul Park	(pjpark@mit.edu)
	* kdb.h - Add prototype for krb5_ser_db_context_init().


Mon Aug 21 17:00:58 EDT 1995	Paul Park	(pjpark@mit.edu)
	* adm_proto.h - Add krb5_timestamp_to_sfstring() prototype.


Tue Aug 15 14:27:02 EDT 1995	Paul Park	(pjpark@mit.edu)
	* kdb.h - Add prototype for krb5_dbe_find_keytype().


Thu Aug 10 14:33:51 EDT 1995	Paul Park	(pjpark@mit.edu)
	* kdb.h - Always define KRB5_MAX_FAIL_COUNT.


Mon Aug 07 11:22:57 1995   Chris Provenzano (proven@mit.edu)

	* kdb.h : Add prototypes for krb5_dbe_{en,de}code_last_pwd_change(),
		krb5_dbe_{apw,cpw,ark,crk}(),

Fri Aug 4 16:10:34 EDT 1995	Paul Park	(pjpark@mit.edu)
	* adm_proto.h - Add prototype definitions for new libkadm functions in
		keysalt.c dealing with key/salt tuples.
	* kdb.h - Add encode/decode macros for integers for use between kdb
		modules.

Thu Aug 03 12:19:52 1995   Chris Provenzano (proven@mit.edu)

	* kdb.h : Added prototype for krb5_dbe_cpw() the new dd entry
		change password routine.

Mon Jul 31 15:50:25 EDT 1995	Paul Park	(pjpark@mit.edu)
	* adm.h - Add new protocol definitions.  Also, add krb5_key_salt_tuple
		and add it to the krb5_read_realm_params structure so that
		we have a list of supported key/salt pairs.  Convert keytype
		and enctype to be the correct datatype.
	* adm_proto.h - Add string conversion prototypes.


Thu Jul 27 15:06:35 EDT 1995	Paul Park	(pjpark@mit.edu)
	* {asn1,dbm,ext-proto,k5-{config,errors,sockets},libos,los-proto,
	   mit-des,preauth,rsa-md5,sysincl}.h - Deleted.
	* Makefile.in - Remove these headers from KRB5_HEADERS.
	* configure.in - Change AC_INIT to look for kdb.h.


Thu Jul 27 02:59:05 1995   Chris Provenzano (proven@mit.edu)

        * kdb.h - Define new kdb format.

Mon Jul 17 15:03:43 EDT 1995	Paul Park	(pjpark@mit.edu)
	* adm.h - Add per-realm parameter block data structure
		(krb5_realm_params).
	* adm_proto.h - Add dummy declaration for krb5_realm_params if adm.h
		not included.  Add prototypes for realm parameter functions.
	* kdb.h - Add stash file parameter to krb5_db_fetch_mkey().

Sun Jul  9 21:47:49 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* los-proto.h: Add krb5_auth_con_genaddrs prototype

Fri Jul 7 15:58:07 EDT 1995	Paul Park	(pjpark@mit.edu)
	* rsa-md5.h - Add RSA_MD5_DES_CONFOUND_LENGTH - the length of the
		confounder for RSA_MD5_DES per RFC1510.

Wed July  5 15:52:31 1995  James Mattly  <mattly@fusion.com>
	* k5-config.h Added _MACINTOSH for macintosh build conditions
	* macsock.h made definition of PROTOTYPE conditional

Fri Jun 30 16:13:41 EDT 1995	Paul Park	(pjpark@mit.edu)
	* kdb.h - Add kdb dispatch table and set routine under KDB5_DISPATCH.


Tue Jun 27 16:12:09 EDT 1995	Paul Park	(pjpark@mit.edu)
	* adm_proto.h - Change second argument of aprof_get... routines to be
		const char *.
	* configure.in, k5-config.h - Reinstate KRB5_PROVIDE_PROTOTYPES.  This
		is needed for compilers which recognize prototypes but don't
		set __STDC__ or _WINDOWS.

Thu Jun 22 16:11:07 1995  Tom Yu  (tlyu@dragons-lair)

	* k5-config.h: remove definition for KRB5_PROVIDE_PROTOTYPES
		because we've reversed the sense

	* configure.in: KBR5_PROVIDE_PROTOTYPES -> KRB5_NO_PROTOTYPES;
		NO_NESTED_PROTOTYPES -> KRB5_NO_NESTED_PROTOTYPES

	* rsa-md5.h: reverse sense of KRB5_PROVIDE_PROTOTYPES

Thu Jun 22 11:52:07 EDT 1995	Paul Park	(pjpark@mit.edu)
	* adm_proto.h - Add prototypes for kadm library profile handling
		routines.  These are wrappers for profile routines.
	* kdb.h - Remove KDB_CONVERT_KEY_{TO,OUTOF}_DB.

Wed Jun 21 17:39:25 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* configure.in: Replace krb5_sigtype tests with KRB5_SIGTYPE which
		has been moved to aclocal.m4

Wed Jun 21 10:44:06 1995    <tytso@rsx-11.mit.edu>

	* Makefile.in: Don't remove autoconf.h when doing a make clean;
		it's an autoconf generated file.

	* adm_proto.h, asn1.h, ext-proto.h, kdb.h, kdb_dbm.h, los-proto.h,
		preauth.c: Change PROTOTYPE -> KRB5_PROTOTYPE

Sat Jun 10 22:11:45 1995  Tom Yu  (tlyu@dragons-lair)

	* adm_proto.h: update krb5_auth_context stuff

Fri Jun  9 18:42:30 1995    <tytso@rsx-11.mit.edu>

	* configure.in: Remove standardized set of autoconf macros, which
		are now handled by CONFIG_RULES.

Thu Jun 8 14:41:00 EDT 1995	Paul Park	(pjpark@mit.edu)
	* adm_proto.h - Add prototypes for logging routines.  Also, if
		kdb.h has not been included, add null structure for entry
		data structure so that we don't strictly require kdb.h.

Thu Jun  8 11:11:24 1995  Theodore Y. Ts'o  <tytso@lurch.mit.edu>

	* Makefile.in (install): Don't install the install/krb5 header files.

Wed Jun  7 16:23:51 1995    <tytso@rsx-11.mit.edu>

	* Makefile.in: Process osconf.h using PREFIX and EXEC_PREFIX
		instead of KRB5ROOT.

	* k5-config.h: Remove old defines for krb.conf and krb.realms,
		which are now obsolete.

Mon Jun 5 13:47:30 EDT 1995	Paul Park	(pjpark@mit.edu)
	* adm_proto.h - Add new arguments to krb5_adm_connect() for support
		of specifiable credentials caches and ticket lifetimes.


Thu Jun 1 14:28:40 EDT 1995	Paul Park	(pjpark@mit.edu)
	* adm.h: Change the default admin port to 464.

Tue May 30 17:33:09 1995 Keith Vetter (keithv@fusion.com)

	* adm_proto.h: removed INTERFACE from 2 non-exported functions.

Tue May 30 10:22:57 1995 Keith Vetter (keithv@fusion.com)

	* adm_proto.h: conditionally removed for Windows two prototypes
	   that use the database.
	* k5-config.h: bumped MAXPATHLEN and removed need for the kdb.h file.		

Fri May 26 10:17:12 1995 Keith Vetter (keithv@fusion.com)

	* adm_proto.h: added more missing INTERFACE.
	* los-proto.h: moved in prototype for gmt_mktime().

Thu May 25 19:27:45 1995 Keith Vetter (keithv@fusion.com)

	* adm_proto.h: two function's prototype were missing INTERFACE.
	* k5-config.h: kadm needs the kdb.h file.

Thu May 25 15:39:31 1995 Keith Vetter (keithv@fusion.com)

	* los-proto.h: moved in the prototype for krb5_make_fulladdr.

Tue May 23 15:33:00 1995  Theodore Y. Ts'o  (tytso@dcl)

	* k5-config.h, k5-sockets.h: Move the sockets specific setup out
		  of k5-config.h to k5-sockets.h, and modify k5-int to
		  include k5-sockets.h (if it is requested by
		  NEED_SOCKETS) after including krb5.h.  This keeps the
		  gdb type numbers the same across .o files, so that
		  recent binuntils can compress the debugging information
		  in executables linked with a debugging library.

Mon May 22 09:41:39 EDT 1995	Paul Park	(pjpark@mit.edu)
	* Makefile.in	- (install) Always perform install actions using
			  $(INSTALL_DATA).
	* configure.in	- Locate install program.

Sun May 21 15:25:45 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* Makefile.in (PROCESS_REPLACE): Replace the RCTMPDIR in stock.h
		with a configuration determined directory

	* configure.in: Determine which directory to use for the replay
		cache. (/usr/tmp does not exist on netbsd).

Wed May 10 13:20:47 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* Makefile.in (install): Install ET_HEADERS...

Tue May 9 15:17:00 EDT 1995	Paul Park	(pjpark@mit.edu)
	Add definitions and prototypes for new administrative protocol.

Mon May  8 22:13:15 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* los-proto.h: krb5_read_password - prompt strings should be const
		char *. 
		Remove krb5_init_os_context and krb5_free_os_context. (The
		proper prototypes are already in place i.e.
		krb5_os_init_context). 

Fri Apr 28 15:14:38 EDT 1995	Paul Park	(pjpark@mit.edu)
	Remove INTERFACE from prototype definitions in adm_proto.h

Fri Apr 28 11:11:54 1995  Mark Eichin  <eichin@cygnus.com>

	* configure.in: correct use of --with-krb4 to match top level.

Thu Apr 27 17:39:04 1995 Keith Vetter (keithv@fusion.com)

	* k5-config.h: Added MAXPATHLEN constant.
	* adm_prot.h: updated prototype.

Thu Apr 27 11:24:24 1995 Keith Vetter (keithv@fusion.com)

	* k5-config.h: Changed over to the new single config file on the PC.

Wed Apr 26 10:41:08 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* Makefile.in: Reflect current list of headers to be installed.

Thu Apr 20 11:35:07 1995    <tytso@rsx-11.mit.edu>

	* k5-config.h, configure.in: Remove support for HAS_ANSI_CONST
		(that was needed only for compatibility with the old imake
		build; autoconf uses -Dconst=), and HAS_ANSI_VOLATILE,
		which isn't used at all.

Wed Apr 19 13:25:56 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* func-proto.h: Remove global_context hack. Added prototype for
		krb5_set_default_realm.

Thu Apr 13 15:49:16 1995 Keith Vetter (keithv@fusion.com)

        * asn1.h, ccache.h, encryption.h, func-pro.h, hostaddr.h, keytab.h,
          los-prot.h, preauth.h, rcache.h: 
            removed unneeded INTERFACE from non-api functions.
        * adm_defs.h, ccache.h, encryption.h, hostaddr.h, k5-free.h, keytab.h,
          macros.h, rcache.h:
           Added FAR to pointers visible to the world.
        * base-def.h, ext-prot.h, rsa-md5.h: __STDC__ condition also 
           checks for the _WINDOWS define.

Wed Apr 5 16:41:41 1995 Keith Vetter (keithv@fusion.com)

	* los-proto.h, func-proto.h: moved krb5_us_timeofday and 
           krb5_sname_to_principal from the former to the latter.
        * base-def.h: added FAR to pointer types for the PC.
        * func-proto.h: added FAR to pointer types in prototypes but
           only for functions which are exported.

Fri Mar 31 19:34:47 1995 Keith Vetter (keithv@fusion.com)

	* k5-config.h: defined dup to _dup for STDC stuff on Windows

Fri Mar 31 16:12:28 1995  Theodore Y. Ts'o  (tytso@dcl)

	* configure.in (CONFIG_RULES): Replaced.

Thu Mar 30 15:57:22 1995 Keith Vetter (keithv@fusion.com)

	* func-proto.h: added 2 missing prototypes dealing with auth_con.

Tue Mar 28 19:53:09 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: changed to reflect deletion of stock/osconf.win.
        * k5-config.h: added constants for reading default values
            out of Windows ini files.
        * los-proto.h: added new prototype for Windows ini stuff.

Tue Mar 28 18:02:41 1995  John Gilmore  (gnu at toad.com)

	* Makefile.in (KRB5_HEADERS, install):  Account for file renames.
	(all-mac):  Add.
	* configure.in (CONFIG_RULES):  Remove.
	(krb5_sigtype):  Define as either void or int.
	* encryption.h:  Insert parentheses in macros to avoid mis-expansion.
	* k5-config.h:  Further parameterize socket support.
	* macsock.h:  Support connect(), recv(), send(), getmyipaddr().
	(WSAGetLastError):  Fix typo -- there's no argument to this macro.

	* k5-errors.h:  Rename errors.h (which duplicated a standard Mac
	header name, causing a problem).
	* AddressXlation.h, GetMyIPAddr.h, MacTCPCommonTypes.h, TCPPB.h, 
	UDPPB.h:  Add MacTCP header files.

Mon Mar 27 09:33:10 1995  Chris Provenzano (proven@mit.edu)

        * func-proto.h (krb5_rd_req(), krb5_rd_req_decode(), krb5_mk_rep(),
                krb5_recvauth(), and krb5_compat_recvauth(). Added a 
		krb5_auth_context argument and eliminated many of the 
		other arguments because they are included in the 
		krb5_auth_context structure.

Fri Mar 24 14:15:51 1995    <tytso@rsx-11.mit.edu>

	* adm_defs.h (ADM5_DEFAULT_PORT): Add definition of default
		administration port.

	* Makefile.in (install): Delete the destination header files
		before copying in the new ones.  Also install autoconf.h.
		Only install header files if the header file has changed.

Wed Mar 22 11:37:24 1995 Keith Vetter (keithv@fusion.com)

	* k5-config.h: added HAVE_SYS_TYPES_H. Cleaned up the loading
           of sys/types.h which john added earlier. Specifically, we always
           have it and it's missing some typedefs used by this code.

Tue Mar 21 18:42:23 1995 Keith Vetter (keithv@fusion.com)

	* k5-config.h: PC: NO_PASSWORD defined and files opened in binary mode.
	* func-proto.h: added new prototype for notify programs when the 
           ccache changes, and moved krb5_get_default_realm from los-proto.h.
        * los-proto.h: moved krb5_get_default_realm into func-proto.h.

Sun Mar 19 12:51:59 1995  John Gilmore  (gnu at toad.com)

	* base-defs.h:  Fix comment that referred to STDARG_PROTOTYPES.

Fri Mar 17 19:12:13 1995  John Gilmore  (gnu at toad.com)

	* k5-config.h:  Move <sys/types.h> handling from ../krb5.h to
	here, because we need <sys/types.h> or the u_* types to be defined
	before we include the Unix socket include files a little later in
	k5-config.h.  We actually add this code twice, once in the MSDOS
	section and once in the Unix/Mac section.
	(NEED_SOCKETS):  Also include <net/if.h>, for localaddr.c.
	* Makefile.in (clean-mac):  Add.

Tue Mar 14 16:50:54 1995    <tytso@rsx-11.mit.edu>

	* Makefile.in: Delete definition for KRB5ROOT and KRB5_INCDIR,
		since those are defined in pre/config.in.

Thu Mar 16 20:58:22 1995  John Gilmore  (gnu at toad.com)

	* configure.in:  Replace nonstandard CHECK_STDARG with
	AC_CHECK_HEADERS.  Also check for header file macsock.h, which
	is a dummy test -- it's false on Unix and PC's, but on the Mac
	we hand-configure it to be true, to indicate that we want Mac
	socket support rather than Unix socket support.
	* base-defs.h, k5-config.h:  Use HAVE_STDARG_H, not STDARG_PROTOTYPES.
	* k5-config.h (NEED_SOCKETS):  Add new section which brings in
	socket include files for the appropriate compilation environment
	(Mac or Unix; Windows already did this).
	* macsock.h:  New include file, derived from Cygnus Network Security
	Mac K4 release, for simulating sockets under MacTCP.

Thu Mar 16 12:12:17 1995 Keith Vetter (keithv@fusion.com)

	* k5-config.h: PC change, getting sys_nerr and sys_errlist to work.

Tue Mar 14 17:38:28 1995 Keith Vetter (keithv@fusion.com)

	* k5-config.h: more PC changes, mostly dealing with chmod not 
	   working as it should on the PC.
	* func-proto.h, los-proto.h: moved prototypes for krb5_timeofday and
	   krb5_os_localaddr from los-proto to func-proto. They are needed by
	   the outside world, specifically kinit.c

Fri Mar 10 14:23:12 1995  Theodore Y. Ts'o  <tytso@dcl>

	* sysincl.h: Removed definition of FD_SETSIZE, FD_SET, FD_CLR,
		FD_ISSET, and FD_ZERO.  Defining them in favor of using
		the system include files is almost always wrong.

Fri Mar 10 10:04:41 1995 Chris Provenzano (proven@mit.edu)

	* func-proto.h (krb5_mk_req(), krb5_mk_req_extended(), krb5_rd_rep(),
		krb5_sendauth(), krb5_mk_priv(), krb5_rd_priv(), krb5_mk_safe(),
		and krb5_rd_safe()). Added a krb5_auth_context argument and
		eliminated many of the other arguments because they are 
		included in the krb5_auth_context structure.

	* fieldbits.h Added #define AP_OPTS_USE_SUBKEY 0x00000001 for a
		new option to an ap req message. This is mainly a clean way
		to inform krb5_mk_req() and krb5_mk_req_extended() to 
		create the subkey without adding an extra argument.

	* safepriv.h Replace safe/priv flags with flags for krb5_auth_context
		and add krb5_replay_data structure for when the appilication
		want to do it's own replay detection for safe and priv calls.


Thu Mar  9 18:29:24 1995  Mark Eichin  <eichin@cygnus.com>

       * Makefile.in (all-windows): tabs, not spaces.

Tue Mar 7 14:54:02 1995 Keith Vetter (keithv@fusion.com)

	* ccache.h: added windows INTERFACE keyword to all functions.
        * encryption.h: more segment games for the PC--added NEAR to three
           external data objects.
        * wordsize.h: added constants VALID_INT_BTIS and VALID_UINT_BITS for
           detecting overflow when casting a long to an int.
        * k5-config.h: numerous PC changes such as adding NEED_LOWLEVEL_IO
           which enables the read/write level of I/O.
        * Makefile.in: osconf.h now pulled in from stock/osconf.win.

Thu Mar  2 23:21:46 1995  John Gilmore  (gnu at toad.com)

	Make include files start to work on the Macintosh.

	* configure.in:  Add checks for sys/types.h and sys/stat.h.
	* k5-config.h:  Remove krb5/ from #include.
	* sysincl.h:  Avoid <sys/types.h>.  Conditional-include <sys/stat.h>.

Thu Mar 2 13:30:00 1995 Keith Vetter (keithv@fusion.com)

	* k5-config.h: changed NEED_WINSOCK_H to NEED_SOCKETS

Wed Mar 1 20:00:00 1995 Keith Vetter (keithv@fusion.com)

	* func-proto.h: fixed up a const attribute to krb5_send_tgs.

Wed Mar 1 17:40:00 1995 Keith Vetter (keithv@fusion.com)

	* func-proto.h: added missing prototype for krb5_mk_cred.
	* los-proto.h: added windows INTERFACE keyword to all functions,
	   plus added 2 missing prototypes: krb5_os_init_context and
	   krb5_os_free_context.

Wed Mar 1 12:48:20 1995 Keith Vetter (keithv@fusion.com)

	* config.h: added defines to pull in winsock.h as needed
        * rcache.h: added windows INTERFACE keyword to all functions
        * winsock.h: new file--for windows socket stuff

Wed Mar  1 17:45:13 1995  Theodore Y. Ts'o  <tytso@dcl>

	* configure.in, k5-config.h: Only define labs(x) -> abs(x) if
		labs() is not defined elsewhere.  (This really shouldn't
		be here at all, but is the expedient way to deal with lack
		of labs().)

	* Makefile.in: Change config.h -> k5-config.h and free.h ->
		k5-free.h to reflect renamed header files for Mac/PC port.

Mon Feb 27 23:47:58 1995  John Gilmore  (gnu at toad.com)

	* Makefile.in (osconf.h):  Remove temp file osconf.new.

	* krb5.h:  Rename to ../krb5.h so it can be #included by end users
	without the use of slashes or extra -I options.  First step in
	making it stand alone without a train of a dozen other include
	files tagging along behind.

	* base-defs.h, dbm.h, error_def.h, sysincl.h:  Avoid #include
	<krb5/...> form; use "..." form.

	* config.h:  Rename to k5-config.h.  This is too common a
	name, now that we use -I..../include/krb5.
	* free.h:  Rename to k5-free.h.

	* configure.in (AC_INIT):  Use another file (not krb5.h) as src test.

Mon Feb 27 11:35:49 1995 Keith Vetter (keithv@fusion.com)

        * config.h: added windows interface keyword for varargs functions,
           added defines to allows <windows.h> to be stdc compliant.
	* func-proto.h: added windows INTERFACE_C keyword for functions
           with varargs, and fixed const in prototype for krb5_send_tgs.
        * preauth.h: added windows INTERFACE keyword to prototypes

Wed Feb 22 17:39:46 1995 Chris Provenzano (proven@mit.edu)

	* func-proto.h (krb5_get_credentials(), krb5_get_cred_from_kdc(),
		and krb5_sendauth()) replaced krb5_cred * IN/OUT arg with
		a krb5_cred * IN and a krb5_cred ** OUT arg.
	* func-proto.h (krb5_mk_req_extended()) Remove kdc_options flag arg
		and krb5_ccache arg. They are no longer necessary.
	
Wed Feb 22 01:45:17 1995 Keith Vetter (keithv@fusion.com)

	* keytab.h: added windows INTERFACE keyword to prototypes

Tue Feb 21 17:31:06 1995 Keith Vetter (keithv@fusion.com)

	* config.h: added HAVE_ERRNO for the windows section
           changed windows manifest constant from __windows__ 
           to _MSDOS so that DOS test programs will compile.

Tue Feb 21 12:00:32 1995 Keith Vetter (keithv@fusion.com)

	* asn1.h: added windows INTERFACE keyword to all functions.

Tue Feb 21 17:49:41 1995  Mark Eichin  (eichin@cygnus.com)

	* config.h: get krb5/autoconf.h.
	* Makefile.in (KRB5_HEADERS): add config.h, remove rsa-md4.h and
	crc-32.h which aren't here anymore.

Tue Feb 21 0:0:32 1995 Keith Vetter (keithv@fusion.com)

	* func-proto.h: added windows INTERFACE keyword to all functions.
        * krb5.h: moved two typedefs before inclusion of func-proto.h

Mon Feb 20 16:54:51 1995 Keith Vetter (keithv@fusion.com)

	* encryption.h, los-proto.h, rsa-md5.h: added windows 
          INTERFACE keyword.
        * Makefile.in: removed isode cruft ala Feb 10 changes but for windows

Mon Feb 20 12:32:34 1995  John Gilmore  (gnu at toad.com)

	* configure.in:  Flip again.  Use AC_CHECK_HEADERS, but default the
	symbol-setting.  This is Modern Autoconf Style.

	* config.h:  Create from stock/config.h and stock/config.win.
	* Makefile.in (BUILT_HEADERS):  Remove config.h.
	(CONF_REPLACE, CONFSRC, config.h rule):  Remove.  Config.h is
	a static header file, ever since imake died.  Now it really is.
	(clean):  Don't remove config.new any more.

Thu Feb 16 20:12:23 1995  John Gilmore  (gnu at toad.com)

	* configure.in:  Use AC_HAVE_HEADER rather than AC_HEADER_CHECK.
	(Fixes resulting #define names to HAVE_XXX rather than HAS_XXX,
	which is not only consistent but also matches what's in sysincl.h.)

Mon Feb 6 19:42:7 1995 Keith Vetter (keithv@fusion.com)

        * configure.in: added header checks for sys/param.h and sys/file.h.
        * encryption.h: added typedef prototype for sum_func function 
            with the windows api to make microsoft compiler happy.
        * sysincl.h: conditionally include sys/file.h and sys/param.h since
            windows doesn't have them.
        * Makefile.in: 
           - changed macros with ${...} to $(...) since nmake barfs on {}.
           - added windows only make preamble 
           - split the all target into unix and windows branches

Fri Feb 10 14:54:26 1995  Theodore Y. Ts'o  <tytso@dcl>

	* asn1.h: Removed ISODE cruft -- moved included .h files into
		asn1.h, to simplify the krb5 header file structure.

	* Makefile.in (ET_HEADERS): Remove isode cruft.

Mon Feb 06 17:19:04 1995 Chris Provenzano  (proven@mit.edu)

	* func-proto.h (krb5_get_in_tkt()) Changed key_proc args to be the
		following (krb5_context, const krb5_keytype, krb5_data *,
                krb5_const_pointer, krb5_keyblock **)

	* func-proto.h (krb5_get_in_tkt_*()) Removed krb5_keytype, changed
		krb5_enctype to krb5_enctype *, changed krb5_preauthtype to
		krb5_preauthtype *.

	* func-proto.h Added new routine krb5_get_in_tkt_with_keytab().

Fri Feb  3 07:57:31 1995  Theodore Y. Ts'o  (tytso@dcl)

	* configure.in: Use politically correct name of AC_CHECK_SIZEOF
		instead of AC_SIZEOF_TYPE.

        * configure.in:
        * wordsize.h: Don't use BITS16, BITS32, etc. anymore.  Use
                autoconf's SIZEOF_INT and SIZEOF_LONG definitions to make
                things work.

Mon Jan 30 15:43:19 1995  Chris Provenzano  (proven@mit.edu)

	* func-proto.h Added krb5_keytype arg to rb5_rdreq_key_proc.

	* func-proto.h (krb5_send_tgs()) Changed krb5_enctype arg to
		krb5_enctype *, a NULL terminated array of encryption types.

	* func-proto.h Added prototypes for krb5_get_for_creds(),
		krb5_set_default_in_tkt_etypes(), and
		krb5_get_default_in_tkt_etypes().
	
	* krb5.h Added fields to krb5_context to support default etypes.

Fri Jan 27 00:56:12 1995  Chris Provenzano  (proven@mit.edu)

	* func-proto.h (krb5_kt_read_service_key()) Added krb5_keytype arg.
	* keytab.h (krb5_kt_get_entry()) Add krb5_keytype arg.

Fri Jan 27 00:56:12 1995  Chris Provenzano  (proven@mit.edu)

	* base-defs.h Typedef krb5_boolean, krb5_msgtype, krb5_kvno,
                krb5_addrtype, krb5_keytyp, krb5_enctype, krb5_cksumtype,
                and krb5_authdatatype as unsigned int.
	* kdb_dbm.h krb5_dbm_db_set_lockmode(), krb5_dbm_db_set_nonblocking()
		Fix prototypes to use krb5_boolean and not int.
	* kdb.h krb5_db_set_lockmode(), krb5_db_set_nonblocking()
		Fix prototypes to use krb5_boolean and not int.

Wed Jan 25 19:26:57 1995  John Gilmore  (gnu at toad.com)

	* crc-32.h:  Move to lib/crypto/crc32; only gets local use.
	* rsa-md4.h:  Move to lib/crypto/md4; only gets local use.

Wed Jan 25 20:01:36 1995  Mark Eichin  (eichin@cygnus.com)

	* configure.in: rewrote remaining tests to use AC_TRY_COMPILE and
	caching. Added cross-compile case for ANSI stdio test.

Wed Jan 25 17:50:35 1995  Chris Provenzano  (proven@mit.edu)

	* Removed narrow.h and widen.h

Wed Jan 25 17:07:17 1995  Chris Provenzano  (proven@mit.edu)

	* Removed all narrow types and references to wide.h and narrow.h
	* base-defs.h Typedef krb5_boolean, krb5_msgtype, krb5_kvno,
		krb5_addrtype, krb5_keytyp, krb5_enctype, krb5_cksumtype,
		and krb5_authdatatype as int.
	* kdb.h Made keytype in krb5_encrypted_keyblock explicitly short
		for backwards compatibility. 

Sun Jan 22 18:17:06 1995  John Gilmore  (gnu@cygnus.com)

	* preauth.h, rsa-md5.h:  Protect against multiple inclusion.

Fri Jan 13 15:23:47 1995  Chris Provenzano (proven@mit.edu)

    * Added krb5_context to all krb5_routines

	* Removed DECLARG and OLDDECLARG from base-defs.h (and any file that
	  was using it.) The next thing to do is make all narrow types
	  wide types and remove narrow.h and wide.h.

Thu Jan 12 01:55:54 1995  Mark Eichin  <eichin@cygnus.com>

	* Makefile.in (install): constructed headers come from the build
	tree, not the source tree.

Fri Dec 23 22:29:43 1994  Theodore Y. Ts'o  (tytso@dcl)

	* krb5.h (krb5_cred): Add enc_part2 member which may point to the
		unecrypted version, if it's available.

Mon Dec 19 21:53:33 1994  Theodore Y. Ts'o  (tytso@dcl)

	* krb5.h (krb5_context): Add new typdef for krb5_context.

	* libos.h (krb5_os_context): Add new typedef for krb5_os_context.

	* func-proto.h (krb5_init_context, krb5_free_context): Add new
	  declarations.

	* los-proto.h (krb5_init_os_context, krb5_free_os_context): Add new
	  declarations.

Wed Nov 30 16:16:54 1994  Theodore Y. Ts'o  (tytso@dcl)

	* configure.in: Add support for --enable-athena and --with-krb4
		(to set KRB5_KRB4_COMPAT).

	* Makefile.in: Remove remnants of unifdef support for building
		osconf.h and config.h, left over from the imake build system.

Mon Nov 21 14:43:14 1994  Theodore Y. Ts'o  (tytso@dcl)

	* func-proto.h (krb5_encode_kdc_rep, krb5_encrypt_tkt_part):
		Change to use new function prototypes.

	* encryption.h (krb5_eblock_keytype, krb5_eblock_enctype): Define
		new macros for finding the key type and encryption type of
		an encrypion block.

Fri Nov 18 17:53:38 1994  Theodore Y. Ts'o  (tytso@dcl)

	* kdb.h (KRB5_KDB_SUPPORT_DESMD5): Add new attribute which defines
		whether or not a server supports DES/MD5.

Fri Nov 18 01:28:47 1994  Mark Eichin  <eichin@cygnus.com>

	* Makefile.in (install): elide dependency so $(srcdir) works; use
	$(INSTALL_DATA).
	(ET_HEADERS): new variable for the names of the headers that
	lib/krb5/error_tables builds and installs here (so that they get
	pushed out to the installed include directory.)
	(BUILT_HEADERS): locally built headers, for all, install, and
	clean.
	(clean): delete built and et headers.

Fri Nov 18 01:15:00 1994  Mark Eichin  <eichin@cygnus.com>

	* configure.in: use KRB5_POSIX_LOCKS, AC_EGREP_HEADER. (from
	epeisach).

Thu Nov 10 22:04:19 1994  Theodore Y. Ts'o  (tytso@dcl)

	* hostaddr.h (krb5_address): Add magic number field.

Tue Nov  8 17:55:47 1994  Theodore Y. Ts'o  (tytso@dcl)

	* encryption.h (krb5_string_to_key, krb5_random_key): Change
		internal calling signature to pass in the encryption
		block, so that the encryption type in the keyblock
		structure can be properly initialized.

Thu Nov  3 16:38:44 1994  Theodore Y. Ts'o  (tytso@dcl)

	* encryption.h (krb5_keyblock): Added a field to hold an
		encryption type in the keyblock field --- so routines have
		a hint of which encryption type they should use.

	* error_def.h: Add support for the kv5m error table.  (For magic
		numbers.) 

Mon Oct 31 14:43:07 1994  Theodore Y. Ts'o  (tytso@dcl)

	* configure.in: Move WITH_CCOPTS and WITH_KRB5ROOT to the
		beginning of the file.  Otherwise the other tests won't
		get the CCOPTS flags correct while doing the feature
		tests. 

Tue Oct 25 23:54:25 1994  Theodore Y. Ts'o  (tytso@dcl)

	* ext-proto.h (strdup): If the header files have strdup, don't try
		to redefine it.

Fri Oct 14 00:40:01 1994  Theodore Y. Ts'o  (tytso@dcl)

	* mit-des.h: Add declaration for krb5_des_md5_cst_entry.

	* mit-des.h: Change name of the des_crc cryptosystem from
		krb5_des_cst_entry to krb5_des_crc_cst_entry.

Tue Oct  4 14:51:32 1994  Theodore Y. Ts'o  (tytso@dcl)

	* encryption.h: Cast various potential shorts to ints.  This is
		not quite right either, but the whole encryption interface
		needs to be fixed.

	* keytab.h (krb5_kt_ops.resolv): Resolve's first argument is a const.

	* encryption.h: Add magic number to encryption structures.

Mon Oct  3 18:45:55 1994  Theodore Y. Ts'o  (tytso@dcl)

	* kdb.h: Add magic number to _krb5_db_entry.  (This among other
	things will cause a backwards incompatible change to the database
	format.)  The previous magic number changes also force a database
	format change; we will eventually need to completely redo how we
	encode the database format, so that it isn't structure layout
	dependent!

	* Makefile.in: Fix install to obey ${DESTDIR}, copy conf.h and
		osconf.h from build tree.

	* Makefile.in: Fix "make install" to use $(srcdir) for header files.

Thu Sep 29 15:07:30 1994  Theodore Y. Ts'o  (tytso@dcl)

	* func_proto.h (krb5_realm_compare): Added prototype for functin
		donated by OpenVision.  (Compares two realms).

Wed Sep 21 18:10:55 1994  Theodore Y. Ts'o  (tytso@dcl)

	* func_proto.h (krb5_check_transited_list): Added prototype for
		function donated by Cybersafe.

Wed Aug 17 16:33:22 1994  Theodore Y. Ts'o  (tytso at tsx-11)

	* krb5.h (krb5_enc_kdc_rep_part): Added msg_type field.  Needed
	for the ASN.1 routines.

Tue Aug 16 22:01:56 1994  Mark Eichin  (eichin@cygnus.com)

	* configure.in: change test for USE_SYS_TIME_H to consistent
	(autoconf style) check for HAVE_SYS_TIME_H with
	TIME_WITH_SYS_TIME, and use them everywhere.
	* stock/osauto.h: get rid of USE_TIME_H.
	* stock/osconf.h: get rid of USE_TIME_H, rename USE_SYS_TIME_H.

Tue Aug  9 02:17:40 1994  Tom Yu  (tlyu@dragons-lair)

	* preauth.h: fix preauth function names as well (timestamp ->
	unixtime)

Mon Aug  8 22:36:24 1994  Theodore Y. Ts'o  (tytso at tsx-11)

	* proto.h: Change preauthentication names to match official names
	which bcn and I agreed upon.

Tue Aug  2 03:39:14 1994  Tom Yu  (tlyu@dragons-lair)

	* acconfig.h: add HAVE_SETVBUF

	* configure.in: changes to make things saner when checking for
	ANSI_STDIO

Thu Jul 14 03:31:06 1994  Tom Yu  (tlyu at dragons-lair)

	* Makefile.in: some cleanup to not echo cruft

Tue Jun 28 19:09:21 1994  Tom Yu  (tlyu at dragons-lair)

	* error_def.h: folding in Harry's changes
	* asn1.h: ditto
	* configure.in: adding ISODE_DEFS, fixing ISODE_INCLUDE to dtrt

Tue Jun 21 23:54:40 1994  Tom Yu  (tlyu at dragons-lair)

	* pulling SEEK_SET, etc. out to avoid redef'ing in unistd.h

Tue Jun 21 00:50:46 1994  Mark W. Eichin  (eichin at mit.edu)

	* sysincl.h: SEEK_SET et. al. defined in terms of L_SET et. al. if
	they don't already exist.

